Bhp085:-TshiloDikotla - Bug #4357
Change wording of question on infant feeding form
30/10/2018 09:23 - Jennifer Jao

Status: Closed Start date: 14/05/2019
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Please change Question #5 to: "Date the infant participant first started receiving solids since the last attended scheduled visit where an
infant feeding form was completed”

Please create a validation such that this date cannot be a date in the future from the date the form is being completed.

Can you create a rule such that if this field has already been completed in a previous study visit on this form, that it will autofill or not
require you to complete it again?

Subtasks:
Bug # 4639: INFANT FEEDING CRF VALIDATIONS Closed

History

#1 - 01/11/2018 09:16 - Itumeleng Mosweu
- Status changed from New to Resolved

#2 - 13/11/2018 16:10 - Samuel Wilson Kgole
- Status changed from Resolved to Feedback

The change of wording is fine at Q5 is fine and the validation (not required to re-enter the date keyed at last visit) is working however the autofill date is
not working. Also when entering the date again the yellow screen pops out instead of TELLING THAT THE DATE IS ALREADY CAPTURED AT LAST
VISIT. The same yellow screen also comes out if the future date is entered rather that showing alert message that DO NOT ENTER FUTURE DATE.

#3 - 14/11/2018 12:08 - Itumeleng Mosweu

- Status changed from Feedback to Resolved

#4 - 15/11/2018 12:15 - Keolebogile Nicholas Mmasa
- File Q5 not prefilledChange Infant Feeding _ Django site admin.pdf added
- Status changed from Resolved to Feedback

QUESTION EDITED WELL

VALIDATION ON FUTURE DATE WORKS WELL, NO YELLOW SCREENS

HOWEVER:

Can you create a rule such that if this field has already been completed in a previous study visit on this form, that it will autofill or not
require you to complete it again?

THIS PART DOES NOT WELL.Solids was answered as yes and date provided at 2020 visit.However, at 2060 visit, It doesnt autofil, or it requires a date
still.Funny enough, we were able to save form without adding date.see attached pdf.

ALSO, i would be adding a new redmine about inability to edit Q5 once ia date is provided
#5 - 15/11/2018 14:55 - ltumeleng Mosweu
- Status changed from Feedback to Resolved

#6 - 16/11/2018 08:45 - Keolebogile Nicholas Mmasa

- Status changed from Resolved to Feedback

Edit the error message to "solids" as opposed to "formula on the validation::

Can you create a rule such that if this field has already been completed in a previous study visit on this form, that it will autofill or not
require you to complete it again?

also fix validation number 2, now its broken:

Please create a validation such that this date cannot be a date in the future from the date the form is being completed.

#7 - 19/11/2018 16:42 - Keolebogile Nicholas Mmasa
- Status changed from Feedback to Closed

question 5 now validating of visit date.Future date from visit date throws an error message.issue closed

Files

Q5 not prefilledChange Infant Feeding _ Django site admin.pdf 135 KB 15/11/2018 Keolebogile Nicholas Mmasa
